#!/bin/bash

cd ${0%${0##*/}}.

#JAVA_HOME=/opt/jre
#BGBILLING_SERVER_DIR=~/temp/BGBillingServer

if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

if [ -z "$BGBILLING_SERVER_DIR" ]; then
  echo "The BGBILLING_SERVER_DIR environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

CLASSPATH=./:./fovalidate.jar:${BGBILLING_SERVER_DIR}/lib/app/*:${BGBILLING_SERVER_DIR}/lib/ext/*

${JAVA_HOME}/bin/java -cp ${CLASSPATH} ru.bitel.bgbilling.utils.fovalidate.Do_ValidateFo $1
